body{
    margin: 0;
    overflow-x: hidden;
}

.fixar-rodape,
.fixar-rodape *{
    font-family: "Montserrat", sans-serif;
}

a{
    color: inherit;
    text-decoration: none;
}
a:hover{
    color: inherit;
}

/* pro footer ficar na frente de tudo sempre */
.fixar-rodape{
    position: relative;
    z-index: 1000;
}

/* ONDA */
.footer-wave{
    width: 100%;
    overflow: hidden;
    line-height: 0;

    margin-bottom: -5px;
}

.footer-wave svg{
    display: block;
    width: 100%;
    height: 90px;
}

.footer-wave path{
    fill: #02185E;
}
/* ONDA */

.footer-top{
    color: white;
    background-color: #02185E;
    
    padding: 0 3vw 2rem;
}

.footer-info{
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contatos-title h4{
    color: white;
    font-size: clamp(1.1rem, 2vw, 1.3rem);
    font-weight: 800;
    margin-bottom: 3px;
}

.contatos-h4{
    display: flex;
    flex-direction: column;
}

.underline{
    width: 100px;
    height: 5px;
    background: #1E90FF;
    border-radius: 999px;
    box-shadow: 0 0 10px rgba(30,144,255,.35);
}

.contatos-title{
    display: flex;
    align-items: center;
    gap: 12px;
}

.contatos-title img{
    width: 3.1rem;
    height: 3.1rem;

    object-fit: contain;
    display: block;
}

.contatos{
    display: flex;
    align-items: center;
    gap: 12px;
}

.contatos img{
    width: 3.1rem;
    height: 3.1rem;

    object-fit: contain;
    display: block;
}

.social-links{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.social-links img{
    width: 0.95rem;
    height: 0.95rem;

    object-fit: contain;
    display: block;
}

.email{
    display: flex;
    align-items: center;
    gap: 12px;
}

.email p{
    margin: 0;
    line-height: 1;
}

.instagram{
    display: flex;
    align-items: center;
    gap: 12px;
    line-height: 1;
}

.copyright{
    color: white;
    background-color: #027BDF;

    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;

    text-align: center;
    font-size: 0.85rem;
    line-height: 1.5; 
}


@media (max-width: 768px){

    .footer-top{
        padding: 0 7vw 2.5rem;
    }

    .footer-info{
        gap: 1.5rem;
    }

    .underline{
        width: 130px;
    }

    
    .contatos img{
        width: 3rem;
        height: 3rem;
    }

    .social-links{
        width: 100%;
    }

    .social-links img{
        width: 1rem;
        height: auto;
    }

    .email,
    .instagram{
        align-items: center;
    }

    .email p,
    .instagram a{
        font-size: 0.95rem;
        line-height: 1.4;

        word-break: break-word;
    }

    .footer-wave svg{
        height: 60px;
    }

    .underline{
        width: 70px;
        height: 4px;
    }

}
